
	
/*	

$(document).ready(function() 
{
	$( ".cliente" ).select2(
    {        

      	ajax: {
        url: "ajax/clientes_json.php",
        dataType: 'json',
        delay: 250,
        data: function (params) {
            return {
                q: params.term // search term
            };
        },
        processResults: function (data) 
        {

        
        	$("#lstclient").html("");

        	 $("#lstclient").append('<option name="00000">000000 - CLIENTE MOSTRADOR</option>');

        	for (var i = 0; i < data.length; i++)
        	 {  
        	 	 $("#lstclient").append('<option name="' + data[i].idcliente + '">' + data[i].idcliente + " - " + data[i].nombrecom  + '</option>');

        	  }
        
        	let noData = ["idcliente"];

            //return{results: data};
            
            //return nothing..

          	  //$('#lstclient').attr('size',$('#lstclient option').length);
    
        	  return{results: noData};


        },
        cache: true
    },
    minimumInputLength: 5
	}).on('change', function (e)
	{
		var idcliente = $('.cliente').select2('data')[0].idcliente;
		var nombrecom = $('.cliente').select2('data')[0].nombrecom;
		var nombreleg = $('.cliente').select2('data')[0].nombreleg;
		$('#idcliente').html(idcliente);
		$('#nombrecom').html(nombrecom);
		$('#nombreleg').html(nombreleg);
	})


});
	
*/

$(document).ready(function(){
	
	  $('#find-cli').keydown(function(e)
		  	{
		  		if(e.which =="13")
		  		{
		  				
		  					$.ajax({
								url:'ajax/clientes_json.php',
								data: {'q' : e.currentTarget.value},
								dataType : 'json',
								delay: 250,
							success:function(data)
								{
									 $("#lstcli").html("");

						        	
						        	 var nL = data.length;

						        	
						        	 if(nL >0)
						        	 {
						        	 	 $("#lstcli").append('<option value="">Seleccione cliente</option>');


						               	for (var i = 0; i < data.length; i++)
								        	 {  
								        	 	 $("#lstcli").append('<option value="' + data[i].idcliente + '">' + data[i].nombrecom + " - " + data[i].nombreleg + '</option>');

								        	  }
								     }
								     else
								     {
								     	  $("#lstcli").append('<option value="">** NO HAY REGISTROS **');

								     }
								},
							fail:function (jqXHR, textStatus, errorThrown){
					                 
					                  alert("Error al procesar su solicitudad..");
					              

					              }


							})


 
		  		}
		    });
	
	  
	  		$('#lstcli').on("change",function(e)
		  	{

			  		 alert("Cliente asignado..");
		  	});
	 


	  $('#find-art').keydown(function(e)
		  	{
		  		if(e.which =="13")
		  		{
		  				
		  					$.ajax({
								url:'ajax/articulos_json.php',
								data: {'q' : e.currentTarget.value},
								dataType : 'json',
								delay: 250,
							success:function(data)
								{
									 $("#lstArt").html("");

						        	 $("#lstArt").append('<option value="">cod.generico/cod.barras/descripcion</option>');

						        	for (var i = 0; i < data.length; i++)
						        	 {  
						        	 	 $("#lstArt").append('<option value="' + data[i].iditem + '">' + data[i].iditem + " - " + data[i].itemnombre + " - " + data[i].presentacion + " - " + data[i].existencia + '</option>');

						        	  }



						        	  //document.datos_factura.lstArt.selectedIndex=0;
						        	  document.datos_factura.lstArt.focus();
						        	  //document.datos_factura.lstArt.click();

						        	  //$('#lstAlert').trigger('click');


						        	  //simularClick();

						        	  //document.datos_factura.lstArt.option[0].focus();
						        	

								},
							fail:function (jqXHR, textStatus, errorThrown){
					                 
					                  alert("Error al procesar su solicitudad..");
					              

					              }


							})


 
		  		}
		    });
	
	  
	  		$('#lstArt').on("change",function(e)
		  	{

		  			 AddItem(e.currentTarget.value);
		  	});


	 
	 		$('#iditem').on("blur",function(e)
		  	{
		  		 $("#lstArt").html("");
		  		  $("#find-art").html("");
		  	});


	 		$('.label-cta').on("click",function(e)
	 		{
	 			
	 				 var CurCta = $(this).attr("data-id");

	 				 ShowItem(CurCta);

	 				

	 		});


		

});

/*
function simularClick()
 {
//Crear el evento user-click
  var event = new MouseEvent('click', {
    view: window,
    bubbles: true,
    cancelable: true
  });
//Obtener el objetivo de nuestro user-click
  var objetivoDelClick = document.getElementById('lstArt'); 
//Realizar evento y capturar resultado
  var resultado = !objetivoDelClick.dispatchEvent(event);
  if (resultado) {
    // Un handler ha realizado un preventDefault, esto puede deberse a un solapamiento de funciones.

    alert('aja1');
  } else {
    // No ha ocurrido un preventDefault, por lo que, podemos decir que ha funcionado.
    alert('aja2');
  }
}
*/

 
function AddItem(i)
 {
	if(i != undefined)
	{


			var c = $("#cur-cta").attr("data-id");

			if(c == undefined)
					{
							let cOk = window.confirm("No hay cuenta cargada..desea cargar la cuenta #1 ?");

							if(cOk == true)
								{
									c =1;
								}
							else
								{
									return;
								}


									
					}


		params = {'a': 'a','d' : i ,'c' : c};
		$.ajax({
			type: "POST",
			url: "ajax/cuenta.php",
			data: params,
			beforeSend: function(objeto)
			{
			 $('#showmsg').html('Adicionando registro...favor espere');
		  },
			success: function(data)
			{
				$("#showmsg").html("");

				if(data.substring(0,3) =='ERR')
				{
					alert("Error");

				}
				else
				{
					 $("#tresult").html(data);	
				}
			},
			fail : function (jqXHR, textStatus, errorThrown){
			       alert("Error al procesar su solicitudad..");
			}

		});
	}
 }

function ShowItem(i)
{
		if(i == undefined)
		{
			i =1;
		}

		var parametros={'a' : 's','c' : i};
		$.ajax({
			url:'ajax/cuenta.php',
			data: parametros,
			 beforeSend: function(objeto){
			 $('#showmsg').html('Cargando...');
		  },
			success:function(data){
				$('#showmsg').html('');
				$("#tresult").html(data).fadeIn('slow');
		}
		})
	}



	function RemoveItem(id){


		let ok = window.confirm("Realmente desea eliminar el articul " + id + " ?");
		
		if(ok != true)
		{
 				return;    
		}
		
		var c = $("#cur-cta").attr("data-id");


		if(c == undefined)
		{
			c =1;
		}
		
		$.ajax({
			type: "GET",
			url: "ajax/cuenta.php",
			data: {'a': 'd','d': id,'c': c},
			 beforeSend: function(objeto){
				 $('#showmsg').html('Procesando...eliminacion favor espere');
			  },
			success:function(data)
			{
				$('#showmsg').html('');
				$("#tresult").html(data);
			},
			fail : function (jqXHR, textStatus, errorThrown){
			       alert("Error al procesar su solicitudad..");
			}
		});
	}



	$( "#guardar_item" ).submit(function( event ) {
		parametros = $(this).serialize();
		$.ajax({
			type: "POST",
			url:'ajax/items.php',
			data: parametros,
			 beforeSend: function(objeto){
				 $('.items').html('Cargando...');
			  },
			success:function(data){
				$(".items").html(data).fadeIn('slow');
				$("#myModal").modal('hide');
			}
		})
		
	  event.preventDefault();
	})
	

	$("#datos_factura").submit(function(){
		 
		 //var cliente = $("#cliente").val();
		 var cliente = $("#lstcli").val();

		  
		 alert("Aqui llamo el ticket" + cliente);
		  
		 
		 //window.open('ticket.php?cliente='+cliente);

		 window.open('ticket.php');

		 /*

		 if (cliente>0)
		 {
			window.open('ticket.php?cliente='+cliente);
		 } else {
			 alert("Selecciona el cliente");
			 return false;
		 }
		 
		 */

	 });
		
	
	function prn_ticket()
	{
				 
				 window.open('view/facturacion/ticket.php');

	}
		
